Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text
Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base
Imports DevExpress.Web.ASPxHtmlEditor
Imports DevExpress.ExpressApp.HtmlPropertyEditor.Web
Imports System.Web.UI.WebControls
Imports System.Web.UI
Imports DevExpress.ExpressApp.Web.SystemModule
Imports DevExpress.Data.Filtering
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.ExpressApp.Reports
Imports System.IO

Public Class QuestionVC
    Inherits SISBusiness.Module.QuestionVC

    Public Sub New()
        MyBase.New()

        'This call is required by the Component Designer.
        InitializeComponent()
        RegisterActions(components)

    End Sub
    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()

        If View.Id Like "Question_ListView" Then
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", False)
        End If

        If View.Id = "Question_ListView_User" Then
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", False)
        End If

        If View.Id = "Question_ListView_Customers" Then
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", False)
        End If

        If View.Id = "Question_WorkItem_ListView" Then
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", False)
        End If
        If View.Id = "Question_ListView_Subcontractor" Then
            Frame.GetController(Of QuestionVC).aCreateWorkSheetfromQuestion.Active.SetItemValue("", False)
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", False)
        End If
        If View.Id = "OpenWorkSheet_SubcontractorPopUp_WorkSheet_Header_Collection_ListView" Then
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", False)
        End If
    End Sub
    Protected Overrides Sub OnDeactivated()
        MyBase.OnDeactivated()
        If View.Id Like "Question_ListView" Then
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", True)
        End If

        If View.Id = "Question_ListView_User" Then
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", True)
        End If

        If View.Id = "Question_ListView_Customers" Then
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", True)
        End If

        If View.Id = "Question_WorkItem_ListView" Then
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", True)
        End If
        If View.Id = "Question_ListView_Subcontractor" Then
            Frame.GetController(Of QuestionVC).aCreateWorkSheetfromQuestion.Active.SetItemValue("", True)
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", True)
        End If
        If View.Id = "OpenWorkSheet_SubcontractorPopUp_WorkSheet_Header_Collection_ListView" Then
            Frame.GetController(Of ListViewController).EditAction.Active.SetItemValue("", True)
        End If
    End Sub

End Class
